Show / Hide Table of Contents

# Struct Range

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public struct Range

### Properties

| Improve this Doc View Source

#### End

Gets or sets the ending position of the range.

##### Declaration

    public Position End { get; set; }

##### Property Value

Type | Description
--- | ---
Position |

| Improve this Doc View Source

#### Start

Gets or sets the starting position of the range.

##### Declaration

    public Position Start { get; set; }

##### Property Value

Type | Description
--- | ---
Position |